
QGIS Application - Bug report #17279

Working with QgisBrowser widget makes my QGIS crash more often

2017-10-14 02:37 PM - Richard Duivenvoorde

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 25177

Description

I really, really like the new 'one button to load them all' one.

But recently I have a more crashes, while using it. Copied here a debug info, hoping others can check en see

QGIS died on signal 11[New LWP 28848]

[New LWP 28849]

[New LWP 28850]

[New LWP 28852]

[New LWP 28853]

[New LWP 28854]

[New LWP 28858]

[New LWP 28859]

[New LWP 28860]

[New LWP 28861]

[New LWP 28862]

[New LWP 28880]

[New LWP 28890]

[New LWP 28898]

[New LWP 28912]

[New LWP 28913]

[New LWP 28914]

[New LWP 28915]

[New LWP 28916]

[New LWP 28917]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f5917e3603a in __GI___waitpid (pid=28933, stat_loc=0x7ffc4cff2e94, options=0) at

../sysdeps/unix/sysv/linux/waitpid.c:29

29    ../sysdeps/unix/sysv/linux/waitpid.c: No such file or directory.

[Current thread is 1 (Thread 0x7f5925822380 (LWP 28847))]

#0  0x00007f5917e3603a in __GI___waitpid (pid=28933, stat_loc=0x7ffc4cff2e94, options=0) at

../sysdeps/unix/sysv/linux/waitpid.c:29

        resultvar = 18446744073709551104

        sc_cancel_oldtype = 0

#1  0x000055f6f5c88f7a in qgisCrash (signal=11) at ../src/app/main.cpp:323

        status = 22007

        pidstr = "--pid=28847\000\367U\000\000\000\332p\003\367U\000\000\001\000\000\000\366U\000" 

        gdbpid = 28933

        exename =
"/home/richard/bin/qgis_all/master/debug/bin/qgis\000\060\377L\374\177\000\000(߲\035Y\177\000\000\000\000\000\000\000\000\000\000@0\377L\374\177\000\000@\324\002\031Y\177\000\000\000-\377L\374\177\000\000\340\r\367\030Y\177\000\000Lz\350\030Y\177\000\000@\357U\000\367U\000\000\314\033o%Y\177\000\000\000@\377L\374\177\000\000\030fo%Y\177", '\000' <repeats 11 times>, "\367\256V\207\020\fb@\357U\000\367U\000\000\000@\377L\374\177\000\000@0\377L\374\177\000\000\360\361\337\367\366U\000\000p\317\332\367\366U\000\000\000"...
        len = 48
#2  <signal handler called>
No locals.
#3  0x00007f5923fb2a5e in QgsBrowserDockWidget::refreshModel (this=0x55f6f895af30, index=...) at ../src/gui/qgsbrowserdockwidget.cpp:298
        idx = {r = 0, c = 0, i = 94519343044160, m = 0x55f6f89478a0}
        proxyIdx = {r = 3, c = 0, i = 65535, m = 0x7f587b6b2440 <QgsWfsDataItemProvider::createDataItem(QString const&, QgsDataItem*)::{lambda()#2}::operator()() const::qstring_literal>}
        child = 0x0
        i = 0
        item = 0x0
        __FUNCTION__ = "refreshModel" 
#4  0x00007f5923fb284b in QgsBrowserDockWidget::refresh (this=0x55f6f895af30) at ../src/gui/qgsbrowserdockwidget.cpp:275
No locals.
#5  0x00007f5924aef8d5 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate

0\000\000@0\377L\374\177\000\000@\324\002\031Y\177\000\000\000-\377L\374\177\000\000\340\r\367\030Y\177\000\000Lz\350\030Y\177\000\000@\357U\000\367U\000\000\314\033o%Y\177\000\000\000@\377L\374\177\000\000\030fo%Y\177", '\000' <repeats 11 times>, "\367\256V\207\020\fb@\357U\000\367U\000\000\000@\377L\374\177\000\000@0\377L\374\177\000\000\360\361\337\367\366U\000\000p\317\332\367\366U\000\000\000"...
        len = 48
#2  <signal handler called>
No locals.
#3  0x00007f5923fb2a5e in QgsBrowserDockWidget::refreshModel (this=0x55f6f895af30, index=...) at ../src/gui/qgsbrowserdockwidget.cpp:298
        idx = {r = 0, c = 0, i = 94519343044160, m = 0x55f6f89478a0}
        proxyIdx = {r = 3, c = 0, i = 65535, m = 0x7f587b6b2440 <QgsWfsDataItemProvider::createDataItem(QString const&, QgsDataItem*)::{lambda()#2}::operator()() const::qstring_literal>}
        child = 0x0
        i = 0
        item = 0x0
        __FUNCTION__ = "refreshModel" 
#4  0x00007f5923fb284b in QgsBrowserDockWidget::refresh (this=0x55f6f895af30) at ../src/gui/qgsbrowserdockwidget.cpp:275
No locals.
#5  0x00007f5924aef8d5 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void (QgsBrowserDockWidget::*)()>::call(void (QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void (QgsBrowserDockWidget::*)(QgsBrowserDockWidget * const)) 0x7f5923fb2810 <QgsBrowserDockWidget::refresh(

z\350\030Y\177\000\000@\357U\000\367U\000\000\314\033o%Y\177\000\000\000@\377L\374\177\000\000\030fo%Y\177",

'\000' <repeats 11 times>,

"\367\256V\207\020\fb@\357U\000\367U\000\000\000@\377L\374\177\000\000@0\377L\374\177\000\000\360\361\337\367\366U\000\000p\317\332\367\366U\000\000\000"...
        len = 48
#2  <signal handler called>
No locals.
#3  0x00007f5923fb2a5e in QgsBrowserDockWidget::refreshModel (this=0x55f6f895af30, index=...) at ../src/gui/qgsbrowserdockwidget.cpp:298
        idx = {r = 0, c = 0, i = 94519343044160, m = 0x55f6f89478a0}
        proxyIdx = {r = 3, c = 0, i = 65535, m = 0x7f587b6b2440 <QgsWfsDataItemProvider::createDataItem(QString const&, QgsDataItem*)::{lambda()#2}::operator()() const::qstring_literal>}
        child = 0x0
        i = 0
        item = 0x0
        __FUNCTION__ = "refreshModel" 
#4  0x00007f5923fb284b in QgsBrowserDockWidget::refresh (this=0x55f6f895af30) at ../src/gui/qgsbrowserdockwidget.cpp:275
No locals.
#5  0x00007f5924aef8d5 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void (QgsBrowserDockWidget::*)()>::call(void (QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void (QgsBrowserDockWidget::*)(QgsBrowserDockWidget * const)) 0x7f5923fb2810 <QgsBrowserDockWidget::refresh()>, o=0x55f6f895af30, arg=0x7ffc4cff37e0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136
No locals.
#6  0x00007f5924aea143 in QtPrivate::FunctionPointer<void (QgsBrowserDockWidget::*)()>::call<QtPrivate::List<>, void>(void (QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void (QgsBrowserDockWidget::*)(QgsBrowserDockWidget * const)) 0x7f5923fb2810 <QgsBrowserDockWidget::refresh()>, o=0x55f6f895af30, arg=0x7ffc4cff37e0) at /usr/include/x86_64-linux-gnu/qt5/Q

66U\000\000p\317\332\367\366U\000\000\000"...

        len = 48

#2  <signal handler called>

No locals.

#3  0x00007f5923fb2a5e in QgsBrowserDockWidget::refreshModel (this=0x55f6f895af30, index=...) at

../src/gui/qgsbrowserdockwidget.cpp:298

        idx = {r = 0, c = 0, i = 94519343044160, m = 0x55f6f89478a0}

        proxyIdx = {r = 3, c = 0, i = 65535, m = 0x7f587b6b2440 <QgsWfsDataItemProvider::createDataItem(QString const&,

QgsDataItem*)::{lambda()#2}::operator()() const::qstring_literal>}

        child = 0x0

        i = 0

        item = 0x0

        __FUNCTION__ = "refreshModel" 

#4  0x00007f5923fb284b in QgsBrowserDockWidget::refresh (this=0x55f6f895af30) at ../src/gui/qgsbrowserdockwidget.cpp:275

No locals.

#5  0x00007f5924aef8d5 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void

(QgsBrowserDockWidget::*)()>::call(void (QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void

(QgsBrowserDockWidget::*)(QgsBrowserDockWidget * const)) 0x7f5923fb2810 <QgsBrowserDockWidget::refresh()>,

o=0x55f6f895af30, arg=0x7ffc4cff37e0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136

No locals.

#6  0x00007f5924aea143 in QtPrivate::FunctionPointer<void (QgsBrowserDockWidget::*)()>::call<QtPrivate::List<>, void>(void

(QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void (QgsBrowserDockWidget::*)(QgsBrowserDockWidget *

const)) 0x7f5923fb2810 <QgsBrowserDockWidget::refresh()>, o=0x55f6f895af30, arg=0x7ffc4cff37e0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:169

No locals.

#7  0x00007f5924adfd9b in QtPrivate::QSlotObject<void (QgsBrowserDockWidget::*)(), QtPrivate::List<>, void>::impl(int,

QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) (which=1, this_=0x55f6f8969390, r=0x55f6f895af30, a=0x7ffc4cff37e0,

ret=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:120

No locals.

#8  0x00007f5918eb697f in QMetaObject::activate(QObject*, int, int, void**) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#9  0x00007f5925012e45 in QgisApp::connectionsChanged (this=0x55f6f821c290) at src/app/moc_qgisapp.cpp:1945

No locals.

#10 0x00007f5924aef279 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void

(QgisApp::*)()>::call(void (QgisApp::*)(), QgisApp*, void**) (f=(void (QgisApp::*)(QgisApp * const)) 0x7f5925012e1c

<QgisApp::connectionsChanged()>, o=0x55f6f821c290, arg=0x7ffc4cff39c0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136

No locals.

#11 0x00007f5924ae9cad in QtPrivate::FunctionPointer<void (QgisApp::*)()>::call<QtPrivate::List<>, void>(void (QgisApp::*)(),

QgisApp*, void**) (f=(void (QgisApp::*)(QgisApp * const)) 0x7f5925012e1c <QgisApp::connectionsChanged()>,

o=0x55f6f821c290, arg=0x7ffc4cff39c0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:169

No locals.

#12 0x00007f5924adf4fb in QtPrivate::QSlotObject<void (QgisApp::*)(), QtPrivate::List<>, void>::impl(int,

QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) (which=1, this_=0x55f6ffdd7300, r=0x55f6f821c290, a=0x7ffc4cff39c0,

ret=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:120

No locals.

#13 0x00007f5918eb697f in QMetaObject::activate(QObject*, int, int, void**) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.
#14 0x00007f592427787f in QgsDataSourceManagerDialog::connectionsChanged (this=0x55f6fd9e71b0) at

src/gui/moc_qgsdatasourcemanagerdialog.cpp:388

No locals.

#15 0x00007f5924248a64 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void

(QgsDataSourceManagerDialog::*)()>::call(void (QgsDataSourceManagerDialog::*)(), QgsDataSourceManagerDialog*, void**)

(f=(void (QgsDataSourceManagerDialog::*)(QgsDataSourceManagerDialog * const)) 0x7f5924277856

<QgsDataSourceManagerDialog::connectionsChanged()>, o=0x55f6fd9e71b0, arg=0x7ffc4cff3ba0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136

No locals.

#16 0x00007f59242487f7 in QtPrivate::FunctionPointer<void (QgsDataSourceManagerDialog::*)()>::call<QtPrivate::List<>,

void>(void (QgsDataSourceManagerDialog::*)(), QgsDataSourceManagerDialog*, void**) (f=(void

(QgsDataSourceManagerDialog::*)(QgsDataSourceManagerDialog * const)) 0x7f5924277856

<QgsDataSourceManagerDialog::connectionsChanged()>, o=0x55f6fd9e71b0, arg=0x7ffc4cff3ba0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:169

No locals.

#17 0x00007f59242484c3 in QtPrivate::QSlotObject<void (QgsDataSourceManagerDialog::*)(), QtPrivate::List<>,

void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) (which=1, this_=0x55f6fd8f6b90, r=0x55f6fd9e71b0,

a=0x7ffc4cff3ba0, ret=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:120

No locals.

#18 0x00007f5918eb697f in QMetaObject::activate(QObject*, int, int, void**) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#19 0x00007f5924259ef3 in QgsBrowserDockWidget::connectionsChanged (this=0x55f6fd893100) at

src/gui/moc_qgsbrowserdockwidget.cpp:263

No locals.

#20 0x00007f5923fb91ff in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void

(QgsBrowserDockWidget::*)()>::call(void (QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void

(QgsBrowserDockWidget::*)(QgsBrowserDockWidget * const)) 0x7f5924259eca

<QgsBrowserDockWidget::connectionsChanged()>, o=0x55f6fd893100, arg=0x7ffc4cff3d80) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136

No locals.

#21 0x00007f5923fb8a37 in QtPrivate::FunctionPointer<void (QgsBrowserDockWidget::*)()>::call<QtPrivate::List<>, void>(void

(QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void (QgsBrowserDockWidget::*)(QgsBrowserDockWidget *

const)) 0x7f5924259eca <QgsBrowserDockWidget::connectionsChanged()>, o=0x55f6fd893100, arg=0x7ffc4cff3d80) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:169

No locals.

#22 0x00007f5923fb7e8f in QtPrivate::QSlotObject<void (QgsBrowserDockWidget::*)(), QtPrivate::List<>, void>::impl(int,

QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) (which=1, this_=0x55f6ffde8b60, r=0x55f6fd893100, a=0x7ffc4cff3d80,

ret=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:120

No locals.

#23 0x00007f5918eb697f in QMetaObject::activate(QObject*, int, int, void**) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#24 0x00007f59222cb1c3 in QgsBrowserModel::connectionsChanged (this=0x55f6f89478a0) at

src/core/moc_qgsbrowsermodel.cpp:377

No locals.

#25 0x00007f5921cc9d8b in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void

(QgsBrowserModel::*)()>::call(void (QgsBrowserModel::*)(), QgsBrowserModel*, void**) (f=(void

(QgsBrowserModel::*)(QgsBrowserModel * const)) 0x7f59222cb19a <QgsBrowserModel::connectionsChanged()>,

o=0x55f6f89478a0, arg=0x7ffc4cff3f60) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136

No locals.

#26 0x00007f5921cc9127 in QtPrivate::FunctionPointer<void (QgsBrowserModel::*)()>::call<QtPrivate::List<>, void>(void

(QgsBrowserModel::*)(), QgsBrowserModel*, void**) (f=(void (QgsBrowserModel::*)(QgsBrowserModel * const))

0x7f59222cb19a <QgsBrowserModel::connectionsChanged()>, o=0x55f6f89478a0, arg=0x7ffc4cff3f60) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:169
No locals.

#27 0x00007f5921cc7ec3 in QtPrivate::QSlotObject<void (QgsBrowserModel::*)(), QtPrivate::List<>, void>::impl(int,

QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) (which=1, this_=0x55f6ffde45d0, r=0x55f6f89478a0, a=0x7ffc4cff3f60,

ret=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:120

No locals.

#28 0x00007f5918eb697f in QMetaObject::activate(QObject*, int, int, void**) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#29 0x00007f59222ccad5 in QgsDataItem::connectionsChanged (this=0x55f6ffde3240) at src/core/moc_qgsdataitem.cpp:345

No locals.

#30 0x00007f5921d145d5 in QgsDataItem::refreshConnections (this=0x55f6ffde3240) at ../src/core/qgsdataitem.cpp:356

No locals.

#31 0x00007f587b66cb17 in QgsWfsRootItem::newConnection (this=0x55f6ffde3240) at

../src/providers/wfs/qgswfsdataitems.cpp:269

        nc = {<QDialog> = {<No data fields>}, <Ui::QgsNewHttpConnectionBase> = {<Ui_QgsNewHttpConnectionBase> =

{gridLayout_4 = 0x55f70051a1b0, mGroupBox = 0x55f70365cdf0, gridLayout = 0x55f703734f80, mWfsOptionsGroupBox =

0x55f70055c4c0, gridLayout1 = 0x55f700566b40, cbxWfsIgnoreAxisOrientation = 0x55f700573300, cbxWfsInvertAxisOrientation

= 0x55f700527620, lblMaxNumFeatures = 0x55f7035874c0, lblVersion = 0x55f700a11370, cmbVersion = 0x55f7004ef530,

txtMaxNumFeatures = 0x55f700ae5a90, mTestConnectionButton = 0x55f7004ef7c0, mAuthGroupBox = 0x55f700ac3970,

verticalLayout = 0x55f6ffeddf40, mAuthSettings = 0x55f70355e720, mWmsOptionsGroupBox = 0x55f700c01fc0, gridLayout_2 =

0x55f7034c7570, cbxWmsInvertAxisOrientation = 0x55f7035dc7d0, cbxIgnoreGetFeatureInfoURI = 0x55f700ae3b20,

cbxIgnoreGetMapURI = 0x55f7005586f0, cbxSmoothPixmapTransform = 0x55f6f8004a70, txtReferer = 0x55f6f8197670,

cmbDpiMode = 0x55f6fdfbb2f0, lblDpiMode = 0x55f700ae5d40, lblReferer = 0x55f701680550, cbxWmsIgnoreAxisOrientation =

0x55f70055a620, frame = 0x55f700a57830, gridLayout_5 = 0x55f702669d30, TextLabel1_2 = 0x55f70358c630, txtName =

0x55f700519e00, TextLabel1 = 0x55f70055e920, txtUrl = 0x55f7005619e0, verticalSpacer = 0x55f6f7f4a2f0, buttonBox =

0x55f70055f910}, <No data fields>}, static staticMetaObject = {d = {superdata = 0x7f591e1c7760 <QDialog::staticMetaObject>,

stringdata = 0x7f59243b67e0 <qt_meta_stringdata_QgsNewHttpConnection>, data = 0x7f59243b68c0

<qt_meta_data_QgsNewHttpConnection>, static_metacall = 0x7f592426935e

<QgsNewHttpConnection::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata =

0x0}}, mTypes = {i = 2}, mBaseKey = {static null = {<No data fields>}, d = 0x7f587b6b4da0

<QgsWFSConstants::{lambda()#24}::operator()() const::qstring_literal>}, mCredentialsBaseKey = {static null = {<No data fields>},

d = 0x55f70056e510}, mOriginalConnName = {static null = {<No data fields>}, d = 0x7f5918f75360 <QArrayData::shared_null>}}

#32 0x00007f587b67096b in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void

(QgsWfsRootItem::*)()>::call(void (QgsWfsRootItem::*)(), QgsWfsRootItem*, void**) (f=(void

(QgsWfsRootItem::*)(QgsWfsRootItem * const)) 0x7f587b66ca18 <QgsWfsRootItem::newConnection()>, o=0x55f6ffde3240,

arg=0x7ffc4cff4370) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136

No locals.

#33 0x00007f587b6706d1 in QtPrivate::FunctionPointer<void (QgsWfsRootItem::*)()>::call<QtPrivate::List<>, void>(void

(QgsWfsRootItem::*)(), QgsWfsRootItem*, void**) (f=(void (QgsWfsRootItem::*)(QgsWfsRootItem * const)) 0x7f587b66ca18

<QgsWfsRootItem::newConnection()>, o=0x55f6ffde3240, arg=0x7ffc4cff4370) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:169

No locals.

#34 0x00007f587b6702dd in QtPrivate::QSlotObject<void (QgsWfsRootItem::*)(), QtPrivate::List<>, void>::impl(int,

QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) (which=1, this_=0x55f700827350, r=0x55f6ffde3240, a=0x7ffc4cff4370,

ret=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:120

No locals.

#35 0x00007f5918eb697f in QMetaObject::activate(QObject*, int, int, void**) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#36 0x00007f591dae6d82 in QAction::triggered(bool) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#37 0x00007f591dae946c in QAction::activate(QAction::ActionEvent) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#38 0x00007f591dc41e0c in ?? () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.
#39 0x00007f591dc4917b in ?? () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#40 0x00007f591dc49fc3 in QMenu::mouseReleaseEvent(QMouseEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#41 0x00007f591db2ddb8 in QWidget::event(QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#42 0x00007f591dc4c1e3 in QMenu::event(QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#43 0x00007f591daed46c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from

/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#44 0x00007f591daf528f in QApplication::notify(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#45 0x00007f5921c9bf2f in QgsApplication::notify (this=0x7ffc4cff6670, receiver=0x55f700a0e9b0, event=0x7ffc4cff4a50) at

../src/core/qgsapplication.cpp:315

        done = true

        __FUNCTION__ = "notify" 

#46 0x00007f5918e87d68 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#47 0x00007f591daf4262 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#48 0x00007f591db48675 in ?? () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#49 0x00007f591db4afaa in ?? () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#50 0x00007f591daed46c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from

/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#51 0x00007f591daf4d34 in QApplication::notify(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#52 0x00007f5921c9bf2f in QgsApplication::notify (this=0x7ffc4cff6670, receiver=0x55f7005535a0, event=0x7ffc4cff4f20) at

../src/core/qgsapplication.cpp:315

        done = true

        __FUNCTION__ = "notify" 

#53 0x00007f5918e87d68 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#54 0x00007f59197d1f43 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) ()

from /lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#55 0x00007f59197d3a25 in

QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from

/lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#56 0x00007f59197abcab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>)

() from /lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#57 0x00007f58fc4ae5a0 in ?? () from /lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

No symbol table info available.

#58 0x00007f5915b5bf67 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#59 0x00007f5915b5c1a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.
#60 0x00007f5915b5c22c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#61 0x00007f5918ee03ff in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#62 0x00007f5918e85dba in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#63 0x00007f591dd19547 in QDialog::exec() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#64 0x00007f5924a2c389 in QgisApp::dataSourceManager (this=0x55f6f821c290, pageName=...) at ../src/app/qgisapp.cpp:1573

No locals.

#65 0x00007f5924a2e86b in QgisApp::<lambda()>::operator()(void) const (__closure=0x55f6f8685aa0) at

../src/app/qgisapp.cpp:1824

        this = 0x55f6f821c290

#66 0x00007f5924a94058 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void,

QgisApp::createActions()::<lambda()> >::call(QgisApp::<lambda()> &, void **) (f=..., arg=0x7ffc4cff5780) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:130

No locals.

#67 0x00007f5924a93645 in QtPrivate::Functor<QgisApp::createActions()::<lambda()>, 0>::call<QtPrivate::List<>,

void>(QgisApp::<lambda()> &, void *, void **) (f=..., arg=0x7ffc4cff5780) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:240

No locals.

#68 0x00007f5924a91d15 in QtPrivate::QFunctorSlotObject<QgisApp::createActions()::<lambda()>, 0, QtPrivate::List<>,

void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=1, this_=0x55f6f8685a90, r=0x55f6f821c290,

a=0x7ffc4cff5780, ret=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:168

No locals.

#69 0x00007f5918eb697f in QMetaObject::activate(QObject*, int, int, void**) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#70 0x00007f591dae6d82 in QAction::triggered(bool) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#71 0x00007f591dae946c in QAction::activate(QAction::ActionEvent) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#72 0x00007f591dcaaaeb in ?? () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#73 0x00007f591dcaad44 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from

/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#74 0x00007f591dc8a07a in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#75 0x00007f591db2ddb8 in QWidget::event(QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#76 0x00007f591dc8a114 in QToolButton::event(QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#77 0x00007f591daed46c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from

/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#78 0x00007f591daf528f in QApplication::notify(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#79 0x00007f5921c9bf2f in QgsApplication::notify (this=0x7ffc4cff6670, receiver=0x55f6f8341a00, event=0x7ffc4cff5d30) at

../src/core/qgsapplication.cpp:315

        done = true

        __FUNCTION__ = "notify" 
#80 0x00007f5918e87d68 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#81 0x00007f591daf4262 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#82 0x00007f591db4893b in ?? () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#83 0x00007f591db4afaa in ?? () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#84 0x00007f591daed46c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from

/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#85 0x00007f591daf4d34 in QApplication::notify(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#86 0x00007f5921c9bf2f in QgsApplication::notify (this=0x7ffc4cff6670, receiver=0x55f6fd88ced0, event=0x7ffc4cff6200) at

../src/core/qgsapplication.cpp:315

        done = true

        __FUNCTION__ = "notify" 

#87 0x00007f5918e87d68 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#88 0x00007f59197d1f43 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) ()

from /lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#89 0x00007f59197d3a25 in

QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from

/lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#90 0x00007f59197abcab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>)

() from /lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#91 0x00007f58fc4ae5a0 in ?? () from /lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

No symbol table info available.

#92 0x00007f5915b5bf67 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#93 0x00007f5915b5c1a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#94 0x00007f5915b5c22c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#95 0x00007f5918ee03ff in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#96 0x00007f5918e85dba in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#97 0x00007f5918e8ed24 in QCoreApplication::exec() () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#98 0x000055f6f5c8ebc9 in main (argc=1, argv=0x7ffc4cff79f8) at ../src/app/main.cpp:1345

        profile = 0x55f6f7db14e0

        presetStyle = {static null = {<No data fields>}, d = 0x55f6f7f25ee0}

        rootProfileFolder = {static null = {<No data fields>}, d = 0x55f6f7dfdb20}

        myLocaleOverrideFlag = false

        qgistor = <incomplete type>

        w = 600
        mySplashPath = {static null = {<No data fields>}, d = 0x7f5922362f20

<QgsApplication::splashPath()::{lambda()#1}::operator()() const::qstring_literal>}

        h = 300

        mypSplash = 0x55f6f827cfb0

        qgis = 0x55f6f821c290

        retval = 1291810944

        manager = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f5919337a00

<QObject::staticMetaObject>, stringdata = 0x7f5922455ac0 <qt_meta_stringdata_QgsUserProfileManager>, data =

0x7f5922455b40 <qt_meta_data_QgsUserProfileManager>, static_metacall = 0x7f59222f52d8

<QgsUserProfileManager::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata =

0x0}}, mWatchProfiles = false, mWatcher = std::unique_ptr<QFileSystemWatcher> containing 0x0, mRootProfilePath = {static

null = {<No data fields>}, d = 0x55f6f7dfdb20}, mUserProfile = std::unique_ptr<QgsUserProfile> containing 0x0, mSettings =

std::unique_ptr<QSettings> containing 0x55f6f7dfd780}

        profileFolder = {static null = {<No data fields>}, d = 0x55f6f7dfe1d0}

        mySettings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f5919337a00

<QObject::staticMetaObject>, stringdata = 0x7f5922446be0 <qt_meta_stringdata_QgsSettings>, data = 0x7f5922446c20

<qt_meta_data_QgsSettings>, static_metacall = 0x7f59222e0f68 <QgsSettings::qt_static_metacall(QObject*,

QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static sGlobalSettingsPath = {static null = {<No

data fields>}, d = 0x55f6f80026d0}, mUserSettings = 0x55f6f7fb7510, mGlobalSettings = 0x55f6f80e25e0, mUsingGlobalArray =

false}

        systemEnvVars = {d = 0x55f6f8002670}

        activeStyleName = {static null = {<No data fields>}, d = 0x55f6f8233270}

        i18nPath = {static null = {<No data fields>}, d = 0x55f6f8137cf0}

        myUserLocale = {static null = {<No data fields>}, d = 0x55f6f7ffb780}

        qttor = <incomplete type>

        myApp = {<QApplication> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f591e1ae020

<QApplication::staticMetaObject>, stringdata = 0x7f5922435c00 <qt_meta_stringdata_QgsApplication>, data = 0x7f5922435d60

<qt_meta_data_QgsApplication>, static_metacall = 0x7f59222c9896 <QgsApplication::qt_static_metacall(QObject*,

QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static QGIS_ORGANIZATION_NAME =

0x7f5922362548 "QGIS", static QGIS_ORGANIZATION_DOMAIN = 0x7f592236254d "qgis.org", static

QGIS_APPLICATION_NAME = 0x7f5922362556 "QGIS3", static mFileOpenEventReceiver29900 = 0x55f6f821c290, static

mFileOpenEventList29900 = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static

shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data

fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x7f5918f77960 <QListData::shared_null>}, d = 0x7f5918f77960

<QListData::shared_null>}}, <No data fields>}, static mUIThemeName29900 = {static null = {<No data fields>}, d =

0x7f5918f75360 <QArrayData::shared_null>}, static mPrefixPath29900 = {static null = <same as static member of an already

seen type>, d = 0x55f6f7fe30a0}, static mPluginPath29900 = {static null = <same as static member of an already seen type>, d =

0x55f6f8037400}, static mPkgDataPath29900 = {static null = <same as static member of an already seen type>, d =

0x55f6f800a160}, static mLibraryPath29900 = {static null = <same as static member of an already seen type>, d =

0x55f6f8037620}, static mLibexecPath29900 = {static null = <same as static member of an already seen type>, d =

0x55f6f80376b0}, static mThemeName29900 = {static null = <same as static member of an already seen type>, d =

0x7f5922362ac0 <QgsApplication::setUITheme(QString const&)::{lambda()#2}::operator()() const::qstring_literal>}, static

mDefaultSvgPaths29900 = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static

shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data

fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x55f6f80026a0}, d = 0x55f6f80026a0}}, <No data fields>}, static

mSystemEnvVars29900 = {d = 0x55f6f8002670}, static mConfigPath29900 = {static null = {<No data fields>}, d =

0x55f6f800a020}, static mRunningFromBuildDir29900 = false, static mBuildSourcePath29900 = {static null = <same as static

member of an already seen type>, d = 0x7f5918f75360 <QArrayData::shared_null>}, static mBuildOutputPath29900 = {static null

= <same as static member of an already seen type>, d = 0x7f5918f75360 <QArrayData::shared_null>}, static

mGdalSkipList29900 = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null =

{ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0,

begin = 0, end = 0, array = {0x0}}, d = 0x7f5918f77960 <QListData::shared_null>}, d = 0x7f5918f77960

<QListData::shared_null>}}, <No data fields>}, static mMaxThreads29900 = -1, static mAuthDbDirPath29900 = {static null = {<No
data fields>}, d = 0x55f6f800a020}, static sUserName = {static null = <same as static member of an already seen type>, d =

0x55f6f7e31d10}, static sUserFullName = {static null = <same as static member of an already seen type>, d = 0x55f6f86074b0},

static sPlatformName = {static null = <same as static member of an already seen type>, d = 0x55f6f7dfdff0}, mIconCache = {d =

0x55f6f7f72a80}, mDataItemProviderRegistry = 0x55f6f8b843a0, mApplicationMembers = 0x55f6f7f50900, static

sApplicationMembers = 0x0}

        customizationsettings = 0x55f6f7f3bf90

        useCustomVars = false

        myPixmap = <incomplete type>

        __FUNCTION__ = "main" 

        mySnapshotFileName = {static null = {<No data fields>}, d = 0x7f5918f75360 <QArrayData::shared_null>}

        configLocalStorageLocation = {static null = {<No data fields>}, d = 0x55f6f7dfd970}

        profileName = {static null = {<No data fields>}, d = 0x55f6f7dfdaf0}

        mySnapshotWidth = 800

        mySnapshotHeight = 600

        myHideSplash = false

        mySkipVersionCheck = false

        myRestoreDefaultWindowState = false

        myRestorePlugins = true

        myCustomization = true

        dxfOutputFile = {static null = {<No data fields>}, d = 0x7f5918f75360 <QArrayData::shared_null>}

        dxfSymbologyMode = QgsDxfExport::SymbolLayerSymbology

        dxfScale = 50000

        dxfEncoding = {static null = {<No data fields>}, d = 0x55f6f5c96560 <main::{lambda()#1}::operator()() const::qstring_literal>}

        dxfPreset = {static null = {<No data fields>}, d = 0x7f5918f75360 <QArrayData::shared_null>}

        dxfExtent = {mXmin = 0, mYmin = 0, mXmax = 0, mYmax = 0}

        myInitialExtent = {static null = {<No data fields>}, d = 0x55f6f5c965a0 <main::{lambda()#2}::operator()()

const::qstring_literal>}

        myTranslationCode = {static null = {<No data fields>}, d = 0x55f6f7ffb920}

        configpath = {static null = {<No data fields>}, d = 0x7f5918f75360 <QArrayData::shared_null>}

        authdbdirectory = {static null = {<No data fields>}, d = 0x7f5918f75360 <QArrayData::shared_null>}

        pythonfile = {static null = {<No data fields>}, d = 0x7f5918f75360 <QArrayData::shared_null>}

        customizationfile = {static null = {<No data fields>}, d = 0x7f5918f75360 <QArrayData::shared_null>}

        globalsettingsfile = {static null = {<No data fields>}, d = 0x55f6f80026d0}

        args = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic

= {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end =

0, array = {0x0}}, d = 0x55f6f7db1250}, d = 0x55f6f7db1250}}, <No data fields>}

        myUseGuiFlag = true

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f5919337a00

<QObject::staticMetaObject>, stringdata = 0x7f5922446be0 <qt_meta_stringdata_QgsSettings>, data = 0x7f5922446c20

<qt_meta_data_QgsSettings>, static_metacall = 0x7f59222e0f68 <QgsSettings::qt_static_metacall(QObject*,

QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static sGlobalSettingsPath = {static null = {<No

data fields>}, d = 0x55f6f80026d0}, mUserSettings = 0x55f6f7db0e30, mGlobalSettings = 0x0, mUsingGlobalArray = false}

gdb returned 0

Associated revisions

Revision 71eeda7b - 2017-11-03 08:24 AM - Matthias Kuhn 

Fix crash with hidden dock widget

Fixes #17357

Fixes #17279
Fixes #17317

History

#1 - 2017-10-14 02:39 PM - Richard Duivenvoorde

- Description updated

#2 - 2017-10-15 09:31 AM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

#3 - 2017-10-16 10:01 AM - Richard Duivenvoorde

Another dump (not related to the QgisBrowser):

QGIS died on signal 11[New LWP 24331]

[New LWP 24332]

[New LWP 24333]

[New LWP 24337]

[New LWP 24339]

[New LWP 24341]

[New LWP 24342]

[New LWP 24343]

[New LWP 24344]

[New LWP 24345]

[New LWP 24346]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f4b7412703a in __GI___waitpid (pid=25598, stat_loc=0x7fffacc989d4, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29

29    ../sysdeps/unix/sysv/linux/waitpid.c: No such file or directory.

[Current thread is 1 (Thread 0x7f4b81b32380 (LWP 24330))]

#0  0x00007f4b7412703a in __GI___waitpid (pid=25598, stat_loc=0x7fffacc989d4, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29

        resultvar = 18446744073709551104

        sc_cancel_oldtype = 0

#1  0x0000555e50e88f7a in qgisCrash (signal=11) at ../src/app/main.cpp:323

        status = 21854

        pidstr = "--pid=24330", '\000' <repeats 13 times>, "\320=\276\201K\177\000" 

        gdbpid = 25598

        exename = "/home/richard/bin/qgis_all/master/debug/bin/qgis\000\377\377\377", '\000' <repeats 12 times>,

"\310K\272\200K\177\000\000\b\000\000\000\000\000\000\000\001", '\000' <repeats 16 times>,

"\016#R^U\000\000\240\313\032U^U\000\000P\311\023U^U\000\000\066\275\027uK\177\000\000\220\210ɬ\377\177\000\000^\000\000\000\000\000\000\000]\000\000\000\000\000\000\000\260\210ɬ\377\177\000\000\240\210ɬ\377\177\000\000\061\016#R^U\000\000\001\000\000\000\000\000\000\000\030\016#R^U\000\000\071tcu\000\000\000\000\070tc"...
        len = 48
#2  <signal handler called>
No locals.
#3  0x00000000000006c1 in ?? ()
No symbol table info available.
#4  0x00007f4acf8d0aec in QgsOgrProviderUtils::GDALCloseWrapper (hDS=0x555e5517a400) at ../src/providers/ogr/qgsogrprovider.cpp:3280
        mGDALDriver = 0x7fffacc99218
        mGDALDriverName = {static null = {<No data fields>}, d = 0x555e551708e0}
        datasetName = {static null = {<No data fields>}, d = 0x7fffacc990e0}
        __FUNCTION__ = "GDALCloseWrapper" 
#5  0x00007f4acf8d43ce in QgsOgrProvider::close (this=0x555e551789c0) at ../src/providers/ogr/qgsogrprovider.cpp:3822
No locals.
#6  0x00007f4acf8b89d7 in QgsOgrProvider::~QgsOgrProvider (this=0x555e551789c0, __in_chrg=<optimized out>) at ../src/providers/ogr/qgsogrprovider.cpp:466
No locals.
#7  0x00007f4acf8b8a92 in QgsOgrProvider::~QgsOgrProvider (this=0x555e551789c0, __in_chrg=<optimized out>) at ../src/providers/ogr/qgsogrprovider.cpp:467
No locals.
#8  0x00007f4b7e26b9a1 in QgsVectorLay

00\000\000\000]\000\000\000\000\000\000\000\260\210ɬ\377\177\000\000\240\210ɬ\377\177\000\000\061\016#R^U\000\000\001\000\000\000\000\000\000\000\030\016#R^U\000\000\071tcu\000\000\000\000\070tc"...
        len = 48
#2  <signal handler called>
No locals.
#3  0x00000000000006c1 in ?? ()
No symbol table info available.
#4  0x00007f4acf8d0aec in QgsOgrProviderUtils::GDALCloseWrapper (hDS=0x555e5517a400) at ../src/providers/ogr/qgsogrprovider.cpp:3280
        mGDALDriver = 0x7fffacc99218
        mGDALDriverName = {static null = {<No data fields>}, d = 0x555e551708e0}
        datasetName = {static null = {<No data fields>}, d = 0x7fffacc990e0}
        __FUNCTION__ = "GDALCloseWrapper" 
#5  0x00007f4acf8d43ce in QgsOgrProvider::close (this=0x555e551789c0) at ../src/providers/ogr/qgsogrprovider.cpp:3822
No locals.
#6  0x00007f4acf8b89d7 in QgsOgrProvider::~QgsOgrProvider (this=0x555e551789c0, __in_chrg=<optimized out>) at ../src/providers/ogr/qgsogrprovider.cpp:466
No locals.
#7  0x00007f4acf8b8a92 in QgsOgrProvider::~QgsOgrProvider (this=0x555e551789c0, __in_chrg=<optimized out>) at ../src/providers/ogr/qgsogrprovider.cpp:467
No locals.
#8  0x00007f4b7e26b9a1 in QgsVectorLayer::~QgsVectorLayer (this=0x555e5512e470, __in_chrg=<optimized out>) at ../src/core/qgsvectorlayer.cpp:179
No locals.
#9  0x00007f4b7e26bd8a in QgsVectorLayer::~QgsVectorLayer (this=0x555e5512e470, __in_chrg=<optimized out>) at ../src/core/qgsvectorlayer.cpp

\000\000\000\000\030\016#R^U\000\000\071tcu\000\000\000\000\070tc"...

        len = 48

#2  <signal handler called>

No locals.

#3  0x00000000000006c1 in ?? ()

No symbol table info available.

#4  0x00007f4acf8d0aec in QgsOgrProviderUtils::GDALCloseWrapper (hDS=0x555e5517a400) at ../src/providers/ogr/qgsogrprovider.cpp:3280

        mGDALDriver = 0x7fffacc99218

        mGDALDriverName = {static null = {<No data fields>}, d = 0x555e551708e0}

        datasetName = {static null = {<No data fields>}, d = 0x7fffacc990e0}

        __FUNCTION__ = "GDALCloseWrapper" 
#5  0x00007f4acf8d43ce in QgsOgrProvider::close (this=0x555e551789c0) at ../src/providers/ogr/qgsogrprovider.cpp:3822

No locals.

#6  0x00007f4acf8b89d7 in QgsOgrProvider::~QgsOgrProvider (this=0x555e551789c0, __in_chrg=<optimized out>) at

../src/providers/ogr/qgsogrprovider.cpp:466

No locals.

#7  0x00007f4acf8b8a92 in QgsOgrProvider::~QgsOgrProvider (this=0x555e551789c0, __in_chrg=<optimized out>) at

../src/providers/ogr/qgsogrprovider.cpp:467

No locals.

#8  0x00007f4b7e26b9a1 in QgsVectorLayer::~QgsVectorLayer (this=0x555e5512e470, __in_chrg=<optimized out>) at

../src/core/qgsvectorlayer.cpp:179

No locals.

#9  0x00007f4b7e26bd8a in QgsVectorLayer::~QgsVectorLayer (this=0x555e5512e470, __in_chrg=<optimized out>) at

../src/core/qgsvectorlayer.cpp:194

No locals.

#10 0x00007f4b80474ce3 in qDeleteAll<QList<QgsMapLayer*>::const_iterator> (begin=..., end=...) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qalgorithms.h:320

No locals.

#11 0x00007f4b80474b05 in qDeleteAll<QList<QgsMapLayer*> > (c=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qalgorithms.h:328

No locals.

#12 0x00007f4b8046ae40 in QgsProjectionSelectionTreeWidget::~QgsProjectionSelectionTreeWidget (this=0x555e55104ec0,

__in_chrg=<optimized out>) at ../src/gui/qgsprojectionselectiontreewidget.cpp:102

        crsId = 0

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f4b75628a00 <QObject::staticMetaObject>,

stringdata = 0x7f4b7e74d600 <qt_meta_stringdata_QgsSettings>, data = 0x7f4b7e74d640 <qt_meta_data_QgsSettings>, static_metacall =

0x7f4b7e5e7848 <QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}},

static sGlobalSettingsPath = {static null = {<No data fields>}, d = 0x555e523b5cf0}, mUserSettings = 0xff000000, mGlobalSettings =

0xffffffffffffffff, mUsingGlobalArray = 49}

        projectionsProj4 = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic =

{_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d

= 0x785c3334785c305c}, d = 0x785c3334785c305c}}, <No data fields>}

        projectionsAuthId = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic =

{_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d

= 0x305c305c28746e61}, d = 0x305c305c28746e61}}, <No data fields>}

#13 0x00007f4b8046b3d2 in QgsProjectionSelectionTreeWidget::~QgsProjectionSelectionTreeWidget (this=0x555e55104ec0,

__in_chrg=<optimized out>) at ../src/gui/qgsprojectionselectiontreewidget.cpp:148

No locals.

#14 0x00007f4b751a544b in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#15 0x00007f4b79e1ab1c in QWidget::~QWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#16 0x00007f4b8046689f in QgsProjectionSelectionDialog::~QgsProjectionSelectionDialog (this=0x555e55110000, __in_chrg=<optimized out>)

at ../src/gui/qgsprojectionselectiondialog.cpp:74

No locals.

#17 0x00007f4b804668c4 in QgsProjectionSelectionDialog::~QgsProjectionSelectionDialog (this=0x555e55110000, __in_chrg=<optimized out>)

at ../src/gui/qgsprojectionselectiondialog.cpp:78

No locals.

#18 0x00007f4b30dd57b7 in QgsArcGisServiceSourceSelect::~QgsArcGisServiceSourceSelect (this=0x555e550ab360, __in_chrg=<optimized

out>) at ../src/providers/arcgisrest/qgsarcgisservicesourceselect.cpp:105

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f4b75628a00 <QObject::staticMetaObject>,

stringdata = 0x7f4b7e74d600 <qt_meta_stringdata_QgsSettings>, data = 0x7f4b7e74d640 <qt_meta_data_QgsSettings>, static_metacall =

0x7f4b7e5e7848 <QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}},

static sGlobalSettingsPath = {static null = {<No data fields>}, d = 0x555e523b5cf0}, mUserSettings = 0x555e5515ed30, mGlobalSettings =

0x555e551c00b0, mUsingGlobalArray = false}
#19 0x00007f4b30ddfdd5 in QgsAfsSourceSelect::~QgsAfsSourceSelect (this=0x555e550ab360, __in_chrg=<optimized out>) at

src/providers/arcgisrest/../../../../src/providers/arcgisrest/qgsafssourceselect.h:27

No locals.

#20 0x00007f4b30ddfdf6 in QgsAfsSourceSelect::~QgsAfsSourceSelect (this=0x555e550ab360, __in_chrg=<optimized out>) at

src/providers/arcgisrest/../../../../src/providers/arcgisrest/qgsafssourceselect.h:27

No locals.

#21 0x00007f4b751a544b in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#22 0x00007f4b79e1ab1c in QWidget::~QWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#23 0x00007f4b79f55b99 in QStackedWidget::~QStackedWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#24 0x00007f4b751a544b in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#25 0x00007f4b79e1ab1c in QWidget::~QWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#26 0x00007f4b79efdaa9 in QFrame::~QFrame() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#27 0x00007f4b751a544b in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#28 0x00007f4b79e1ab1c in QWidget::~QWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#29 0x00007f4b79f54db9 in QSplitter::~QSplitter() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#30 0x00007f4b751a544b in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#31 0x00007f4b79e1ab1c in QWidget::~QWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#32 0x00007f4b80445c25 in QgsOptionsDialogBase::~QgsOptionsDialogBase (this=0x555e52625370, __in_chrg=<optimized out>) at

../src/gui/qgsoptionsdialogbase.cpp:51

No locals.

#33 0x00007f4b80552d8b in QgsDataSourceManagerDialog::~QgsDataSourceManagerDialog (this=0x555e52625370, __in_chrg=<optimized

out>) at ../src/gui/qgsdatasourcemanagerdialog.cpp:76

No locals.

#34 0x00007f4b80552dac in QgsDataSourceManagerDialog::~QgsDataSourceManagerDialog (this=0x555e52625370, __in_chrg=<optimized

out>) at ../src/gui/qgsdatasourcemanagerdialog.cpp:79

No locals.

#35 0x00007f4b80d39d24 in QgisApp::~QgisApp (this=0x555e5263e050, __in_chrg=<optimized out>) at ../src/app/qgisapp.cpp:1326

No locals.

#36 0x00007f4b80d39e68 in QgisApp::~QgisApp (this=0x555e5263e050, __in_chrg=<optimized out>) at ../src/app/qgisapp.cpp:1327

No locals.

#37 0x0000555e50e8ebf6 in main (argc=3, argv=0x7fffacc9ae08) at ../src/app/main.cpp:1346

        profile = 0x555e522445b0

        presetStyle = {static null = {<No data fields>}, d = 0x7f4b75266360 <QArrayData::shared_null>}

        rootProfileFolder = {static null = {<No data fields>}, d = 0x555e52242bc0}

        myLocaleOverrideFlag = false

        qgistor = <incomplete type>

        w = 600

        mySplashPath = {static null = {<No data fields>}, d = 0x7f4b7e6697c0 <QgsApplication::splashPath()::{lambda()#1}::operator()()

const::qstring_literal>}

        h = 300

        mypSplash = 0x555e52347cd0

        qgis = 0x555e5263e050
        retval = 0

        manager = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f4b75628a00 <QObject::staticMetaObject>,

stringdata = 0x7f4b7e75c4e0 <qt_meta_stringdata_QgsUserProfileManager>, data = 0x7f4b7e75c560

<qt_meta_data_QgsUserProfileManager>, static_metacall = 0x7f4b7e5fbbb8 <QgsUserProfileManager::qt_static_metacall(QObject*,

QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, mWatchProfiles = false, mWatcher =

std::unique_ptr<QFileSystemWatcher> containing 0x0, mRootProfilePath = {static null = {<No data fields>}, d = 0x555e52242bc0}, mUserProfile =

std::unique_ptr<QgsUserProfile> containing 0x0, mSettings = std::unique_ptr<QSettings> containing 0x555e521f6250}

        profileFolder = {static null = {<No data fields>}, d = 0x555e522445d0}

        mySettings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f4b75628a00 <QObject::staticMetaObject>,

stringdata = 0x7f4b7e74d600 <qt_meta_stringdata_QgsSettings>, data = 0x7f4b7e74d640 <qt_meta_data_QgsSettings>, static_metacall =

0x7f4b7e5e7848 <QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}},

static sGlobalSettingsPath = {static null = {<No data fields>}, d = 0x555e523b5cf0}, mUserSettings = 0x555e52379210, mGlobalSettings =

0x555e5255ae50, mUsingGlobalArray = false}

        systemEnvVars = {d = 0x555e523b5e30}

        activeStyleName = {static null = {<No data fields>}, d = 0x555e5255f000}

        i18nPath = {static null = {<No data fields>}, d = 0x555e5269e210}

        myUserLocale = {static null = {<No data fields>}, d = 0x555e5253fdd0}

        qttor = <incomplete type>

        myApp = {<QApplication> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f4b7a49f020

<QApplication::staticMetaObject>, stringdata = 0x7f4b7e73c620 <qt_meta_stringdata_QgsApplication>, data = 0x7f4b7e73c780

<qt_meta_data_QgsApplication>, static_metacall = 0x7f4b7e5d0118 <QgsApplication::qt_static_metacall(QObject*, QMetaObject::Call, int,

void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static QGIS_ORGANIZATION_NAME = 0x7f4b7e668de8 "QGIS", static

QGIS_ORGANIZATION_DOMAIN = 0x7f4b7e668ded "qgis.org", static QGIS_APPLICATION_NAME = 0x7f4b7e668df6 "QGIS3", static

mFileOpenEventReceiver29900 = 0x0, static mFileOpenEventList29900 = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data

fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data

fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x7f4b75268960 <QListData::shared_null>}, d = 0x7f4b75268960

<QListData::shared_null>}}, <No data fields>}, static mUIThemeName29900 = {static null = {<No data fields>}, d = 0x7f4b75266360

<QArrayData::shared_null>}, static mPrefixPath29900 = {static null = <same as static member of an already seen type>, d = 0x555e52355fb0},

static mPluginPath29900 = {static null = <same as static member of an already seen type>, d = 0x555e52352f80}, static mPkgDataPath29900 =

{static null = <same as static member of an already seen type>, d = 0x555e523b5e90}, static mLibraryPath29900 = {static null = <same as static

member of an already seen type>, d = 0x555e5238aec0}, static mLibexecPath29900 = {static null = <same as static member of an already seen

type>, d = 0x555e52353090}, static mThemeName29900 = {static null = <same as static member of an already seen type>, d = 0x7f4b7e669360

<QgsApplication::setUITheme(QString const&)::{lambda()#2}::operator()() const::qstring_literal>}, static mDefaultSvgPaths29900 =

{<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value =

{<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d =

0x555e523b5e60}, d = 0x555e523b5e60}}, <No data fields>}, static mSystemEnvVars29900 = {d = 0x555e523b5e30}, static mConfigPath29900

= {static null = {<No data fields>}, d = 0x555e52352e90}, static mRunningFromBuildDir29900 = false, static mBuildSourcePath29900 = {static

null = <same as static member of an already seen type>, d = 0x7f4b75266360 <QArrayData::shared_null>}, static mBuildOutputPath29900 =

{static null = <same as static member of an already seen type>, d = 0x7f4b75266360 <QArrayData::shared_null>}, static mGdalSkipList29900 =

{<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value =

{<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d =

0x7f4b75268960 <QListData::shared_null>}, d = 0x7f4b75268960 <QListData::shared_null>}}, <No data fields>}, static mMaxThreads29900 =

-1, static mAuthDbDirPath29900 = {static null = {<No data fields>}, d = 0x555e52352e90}, static sUserName = {static null = <same as static

member of an already seen type>, d = 0x555e522cf880}, static sUserFullName = {static null = <same as static member of an already seen type>,

d = 0x555e52a28f10}, static sPlatformName = {static null = <same as static member of an already seen type>, d = 0x555e52243320},

mIconCache = {d = 0x555e52315380}, mDataItemProviderRegistry = 0x555e52fa4290, mApplicationMembers = 0x555e523c7460, static

sApplicationMembers = 0x0}

        customizationsettings = 0x555e52315b70

        useCustomVars = false

        myPixmap = <incomplete type>

        __FUNCTION__ = "main" 

        mySnapshotFileName = {static null = {<No data fields>}, d = 0x7f4b75266360 <QArrayData::shared_null>}

        configLocalStorageLocation = {static null = {<No data fields>}, d = 0x555e52240a00}
        profileName = {static null = {<No data fields>}, d = 0x555e52242b60}

        mySnapshotWidth = 800

        mySnapshotHeight = 600

        myHideSplash = false

        mySkipVersionCheck = false

        myRestoreDefaultWindowState = false

        myRestorePlugins = true

        myCustomization = true

        dxfOutputFile = {static null = {<No data fields>}, d = 0x7f4b75266360 <QArrayData::shared_null>}

        dxfSymbologyMode = QgsDxfExport::SymbolLayerSymbology

        dxfScale = 50000

        dxfEncoding = {static null = {<No data fields>}, d = 0x555e50e96560 <main::{lambda()#1}::operator()() const::qstring_literal>}

        dxfPreset = {static null = {<No data fields>}, d = 0x7f4b75266360 <QArrayData::shared_null>}

        dxfExtent = {mXmin = 0, mYmin = 0, mXmax = 0, mYmax = 0}

        myInitialExtent = {static null = {<No data fields>}, d = 0x7f4b75266360 <QArrayData::shared_null>}

        myTranslationCode = {static null = {<No data fields>}, d = 0x555e52336030}

        configpath = {static null = {<No data fields>}, d = 0x7f4b75266360 <QArrayData::shared_null>}

        authdbdirectory = {static null = {<No data fields>}, d = 0x7f4b75266360 <QArrayData::shared_null>}

        pythonfile = {static null = {<No data fields>}, d = 0x7f4b75266360 <QArrayData::shared_null>}

        customizationfile = {static null = {<No data fields>}, d = 0x7f4b75266360 <QArrayData::shared_null>}

        globalsettingsfile = {static null = {<No data fields>}, d = 0x555e523b5cf0}

        args = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value =

{<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d =

0x555e52241b80}, d = 0x555e52241b80}}, <No data fields>}

        myUseGuiFlag = true

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f4b75628a00 <QObject::staticMetaObject>,

stringdata = 0x7f4b7e74d600 <qt_meta_stringdata_QgsSettings>, data = 0x7f4b7e74d640 <qt_meta_data_QgsSettings>, static_metacall =

0x7f4b7e5e7848 <QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}},

static sGlobalSettingsPath = {static null = {<No data fields>}, d = 0x555e523b5cf0}, mUserSettings = 0x555e521f5e30, mGlobalSettings = 0x0,

mUsingGlobalArray = false}

gdb returned 0

#4 - 2017-10-16 09:04 PM - Jürgen Fischer

- Description updated

#5 - 2017-10-20 08:24 AM - Richard Duivenvoorde

Another crash example. With me easily reproducable by

- create empty project

- load default (osm) xyz layer via 'one button loads all'

- do some panning and resizing of windows

- close qgis

Warning 4: Failed to open /home/richard/bin/qgis_all/master/debug/share/qgis/resources/data/world_map.shp, Permission denied.

Warning 4: Failed to open /home/richard/bin/qgis_all/master/debug/share/qgis/resources/data/world_map.shp, Permission denied.

Warning 4: Failed to open /home/richard/bin/qgis_all/master/debug/share/qgis/resources/data/world_map.shp, Permission denied.

QGIS died on signal 11[New LWP 25022]

[New LWP 25023]

[New LWP 25024]

[New LWP 25025]
[New LWP 25027]

[New LWP 25030]

[New LWP 25031]

[New LWP 25032]

[New LWP 25033]

[New LWP 25034]

[New LWP 25035]

[New LWP 25044]

[New LWP 25050]

[New LWP 25051]

[New LWP 25052]

[New LWP 25053]

[New LWP 25055]

[New LWP 25059]

[New LWP 25062]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f070b52b03a in __GI___waitpid (pid=25070, stat_loc=0x7ffd6b657914, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29

29    ../sysdeps/unix/sysv/linux/waitpid.c: No such file or directory.

[Current thread is 1 (Thread 0x7f0718f64340 (LWP 25021))]

#0  0x00007f070b52b03a in __GI___waitpid (pid=25070, stat_loc=0x7ffd6b657914, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29

        resultvar = 18446744073709551104

        sc_cancel_oldtype = 0

#1  0x0000565352c41f7a in qgisCrash (signal=11) at ../src/app/main.cpp:323

        status = 32519

        pidstr = "--pid=25021\000X\220l\202\000\000\000\000\000\000\000\000`\346\353\f\a\177\000" 

        gdbpid = 25070

        exename =

"/home/richard/bin/qgis_all/master/debug/bin/qgis\000\000\000\000\000\000\000\000\374\375W\f\a\177\000\000\000\000\000\000\000\000\000\000\360;\334SSV\000\000\000\000\000\000\000\000\000\000\b\000\000\000\000\000\000\000\001", '\000' <repeats 15 times>, "\220SaSSV\000\000\360\257\066YSV\000\000\220\341\061YSV\000\000\066\375W\f\a\177\000\000\000\000\000\000\000\000\000\000c\000\000\000\000\000\000\000b\000\000\000\000\000\000\000\000xek\375\177\000\000\360wek\375\177\000\000\301SaSSV\000\000\001\000\000\000\000\000\000\000"...
        len = 48
#2  <signal handler called>
No locals.
#3  0x0000000000000141 in ?? ()
No symbol table info available.
#4  0x00007f067a22bb4c in QgsOgrProviderUtils::GDALCloseWrapper (hDS=0x565353cd8e70) at ../src/providers/ogr/qgsogrprovider.cpp:3280
        mGDALDriver = 0x7ffd6b658168
        mGDALDriverName = {static null = {<No data fields>}, d = 0x5653593311f0}
        datasetName = {static null = {<No data fields>}, d = 0x7ffd6b658030}
        __FUNCTION__ = "GDALCloseWrapper" 
#5  0x00007f067a22f42e in QgsOgrProvider::close (this=0x56535933aa40) at ../src/providers/ogr/qgsogrprovider.cpp:3822
No locals.
#6  0x00007f067a213a37 in QgsOgrProvider::~QgsOgrProvider (this=0x56535933aa40, __in_chrg=<optimized out>) at ../src/providers/ogr/qgsogrprovider.cpp:466
No locals.
#7  0x00007f067a213af2 in QgsOgrProvider::~QgsOgrProvider (this=0x56535933aa40, __in_chrg=<optimized out>) at ../src/providers/ogr/qgsogrprovider.cpp:467
No locals.
#8  0x00007f071563533b in QgsVectorLayer::~QgsVectorLayer (this=0x565359338fe0, __in_chrg=<optimized out>) at ../src/core/qgsvectorlayer.cpp:179
No locals.
#9  0x00007f071563

\000\360;\334SSV\000\000\000\000\000\000\000\000\000\000\b\000\000\000\000\000\000\000\001", '\000' <repeats 15 times>,

"\220SaSSV\000\000\360\257\066YSV\000\000\220\341\061YSV\000\000\066\375W\f\a\177\000\000\000\000\000\000\000\000\000\000c\000\000\000\000\000\000\000b\000\000\000\000\000\000\000\000xek\375\177\000\000\360wek\375\177\000\000\301SaSSV\000\000\001\000\000\000\000\000\000\000"...
        len = 48
#2  <signal handler called>
No locals.
#3  0x0000000000000141 in ?? ()
No symbol table info available.
#4  0x00007f067a22bb4c in QgsOgrProviderUtils::GDALCloseWrapper (hDS=0x565353cd8e70) at ../src/providers/ogr/qgsogrprovider.cpp:3280
        mGDALDriver = 0x7ffd6b658168
        mGDALDriverName = {static null = {<No data fields>}, d = 0x5653593311f0}
        datasetName = {static null = {<No data fields>}, d = 0x7ffd6b658030}
        __FUNCTION__ = "GDALCloseWrapper" 
#5  0x00007f067a22f42e in QgsOgrProvider::close (this=0x56535933aa40) at ../src/providers/ogr/qgsogrprovider.cpp:3822
No locals.
#6  0x00007f067a213a37 in QgsOgrProvider::~QgsOgrProvider (this=0x56535933aa40, __in_chrg=<optimized out>) at ../src/providers/ogr/qgsogrprovider.cpp:466
No locals.
#7  0x00007f067a213af2 in QgsOgrProvider::~QgsOgrProvider (this=0x56535933aa40, __in_chrg=<optimized out>) at ../src/providers/ogr/qgsogrprovider.cpp:467
No locals.
#8  0x00007f071563533b in QgsVectorLayer::~QgsVectorLayer (this=0x565359338fe0, __in_chrg=<optimized out>) at ../src/core/qgsvectorlayer.cpp:179
No locals.
#9  0x00007f0715635724 in QgsVectorLayer::~QgsVectorLayer (this=0x565359338fe0, __in_chrg=<optimized out>) at ../src/core/qgsvectorlayer.cpp:194
No locals.
#10 0x00007f07178a364f in qDeleteAll<QList<QgsMapLayer*>::const_iterator> (begin=..., end=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qalgorithms.h:320
No locals.
#11 0x00007f07178a3471 in qDeleteAll<QList<QgsMapLayer*> > (c=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qalgorithms.h:328
No locals.
#12 0x00007f07178997ac in QgsProjectionSelectionTreeWi

\000\000\000\000\000\000b\000\000\000\000\000\000\000\000xek\375\177\000\000\360wek\375\177\000\000\301SaSSV\000\000\001\000\000\000\000\000\000\000"...
        len = 48
#2  <signal handler called>
No locals.
#3  0x0000000000000141 in ?? ()
No symbol table info available.
#4  0x00007f067a22bb4c in QgsOgrProviderUtils::GDALCloseWrapper (hDS=0x565353cd8e70) at ../src/providers/ogr/qgsogrprovider.cpp:3280
        mGDALDriver = 0x7ffd6b658168
        mGDALDriverName = {static null = {<No data fields>}, d = 0x5653593311f0}
        datasetName = {static null = {<No data fields>}, d = 0x7ffd6b658030}
        __FUNCTION__ = "GDALCloseWrapper" 
#5  0x00007f067a22f42e in QgsOgrProvider::close (this=0x56535933aa40) at ../src/providers/ogr/qgsogrprovider.cpp:3822
No locals.
#6  0x00007f067a213a37 in QgsOgrProvider::~QgsOgrProvider (this=0x56535933aa40, __in_chrg=<optimized out>) at ../src/providers/ogr/qgsogrprovider.cpp:466
No locals.
#7  0x00007f067a213af2 in QgsOgrProvider::~QgsOgrProvider (this=0x56535933aa40, __in_chrg=<optimized out>) at ../src/providers/ogr/qgsogrprovider.cpp:467
No locals.
#8  0x00007f071563533b in QgsVectorLayer::~QgsVectorLayer (this=0x565359338fe0, __in_chrg=<optimized out>) at ../src/core/qgsvectorlayer.cpp:179
No locals.
#9  0x00007f0715635724 in QgsVectorLayer::~QgsVectorLayer (this=0x565359338fe0, __in_chrg=<optimized out>) at ../src/core/qgsvectorlayer.cpp:194
No locals.
#10 0x00007f07178a364f in qDeleteAll<QList<QgsMapLayer*>::const_iterator> (begin=..., end=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qalgorithms.h:320
No locals.
#11 0x00007f07178a3471 in qDeleteAll<QList<QgsMapLayer*> > (c=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qalgorithms.h:328
No locals.
#12 0x00007f07178997ac in QgsProjectionSelectionTreeWidget::~QgsProjectionSelectionTreeWidget (this=0x5653592c61b0, __in_chrg=<optimized out>) at ../src/gui/qgsprojectionselectiontreewidget.cpp:102
        crsId = 0
        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superda

0\000\000\000\000\000"...

        len = 48

#2  <signal handler called>

No locals.

#3  0x0000000000000141 in ?? ()

No symbol table info available.

#4  0x00007f067a22bb4c in QgsOgrProviderUtils::GDALCloseWrapper (hDS=0x565353cd8e70) at ../src/providers/ogr/qgsogrprovider.cpp:3280

        mGDALDriver = 0x7ffd6b658168

        mGDALDriverName = {static null = {<No data fields>}, d = 0x5653593311f0}

        datasetName = {static null = {<No data fields>}, d = 0x7ffd6b658030}

        __FUNCTION__ = "GDALCloseWrapper" 

#5  0x00007f067a22f42e in QgsOgrProvider::close (this=0x56535933aa40) at ../src/providers/ogr/qgsogrprovider.cpp:3822

No locals.

#6  0x00007f067a213a37 in QgsOgrProvider::~QgsOgrProvider (this=0x56535933aa40, __in_chrg=<optimized out>) at

../src/providers/ogr/qgsogrprovider.cpp:466

No locals.

#7  0x00007f067a213af2 in QgsOgrProvider::~QgsOgrProvider (this=0x56535933aa40, __in_chrg=<optimized out>) at

../src/providers/ogr/qgsogrprovider.cpp:467

No locals.

#8  0x00007f071563533b in QgsVectorLayer::~QgsVectorLayer (this=0x565359338fe0, __in_chrg=<optimized out>) at

../src/core/qgsvectorlayer.cpp:179
No locals.

#9  0x00007f0715635724 in QgsVectorLayer::~QgsVectorLayer (this=0x565359338fe0, __in_chrg=<optimized out>) at

../src/core/qgsvectorlayer.cpp:194

No locals.

#10 0x00007f07178a364f in qDeleteAll<QList<QgsMapLayer*>::const_iterator> (begin=..., end=...) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qalgorithms.h:320

No locals.

#11 0x00007f07178a3471 in qDeleteAll<QList<QgsMapLayer*> > (c=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qalgorithms.h:328

No locals.

#12 0x00007f07178997ac in QgsProjectionSelectionTreeWidget::~QgsProjectionSelectionTreeWidget (this=0x5653592c61b0,

__in_chrg=<optimized out>) at ../src/gui/qgsprojectionselectiontreewidget.cpp:102

        crsId = 0

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f070ca2ca00 <QObject::staticMetaObject>,

stringdata = 0x7f0715b113c0 <qt_meta_stringdata_QgsSettings>, data = 0x7f0715b11400 <qt_meta_data_QgsSettings>, static_metacall =

0x7f07159b503e <QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}},

static sGlobalSettingsPath = {static null = {<No data fields>}, d = 0x56535376cc90}, mUserSettings = 0xff000000, mGlobalSettings =

0xffffffffffffffff, mUsingGlobalArray = 103}

        projectionsProj4 = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic =

{_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d

= 0x6265642f72657473}, d = 0x6265642f72657473}}, <No data fields>}

        projectionsAuthId = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic =

{_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d

= 0x616d2f6c6c615f73}, d = 0x616d2f6c6c615f73}}, <No data fields>}

#13 0x00007f0717899d3e in QgsProjectionSelectionTreeWidget::~QgsProjectionSelectionTreeWidget (this=0x5653592c61b0,

__in_chrg=<optimized out>) at ../src/gui/qgsprojectionselectiontreewidget.cpp:148

No locals.

#14 0x00007f070c5a944b in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#15 0x00007f071121eb1c in QWidget::~QWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#16 0x00007f07178951fb in QgsProjectionSelectionDialog::~QgsProjectionSelectionDialog (this=0x5653592ce960, __in_chrg=<optimized out>)

at ../src/gui/qgsprojectionselectiondialog.cpp:74

No locals.

#17 0x00007f0717895220 in QgsProjectionSelectionDialog::~QgsProjectionSelectionDialog (this=0x5653592ce960, __in_chrg=<optimized out>)

at ../src/gui/qgsprojectionselectiondialog.cpp:78

No locals.

#18 0x00007f06cc1d47b7 in QgsArcGisServiceSourceSelect::~QgsArcGisServiceSourceSelect (this=0x565359277050, __in_chrg=<optimized

out>) at ../src/providers/arcgisrest/qgsarcgisservicesourceselect.cpp:105

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f070ca2ca00 <QObject::staticMetaObject>,

stringdata = 0x7f0715b113c0 <qt_meta_stringdata_QgsSettings>, data = 0x7f0715b11400 <qt_meta_data_QgsSettings>, static_metacall =

0x7f07159b503e <QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}},

static sGlobalSettingsPath = {static null = {<No data fields>}, d = 0x56535376cc90}, mUserSettings = 0x56535931a170, mGlobalSettings =

0x56535937e3b0, mUsingGlobalArray = false}

#19 0x00007f06cc1dedd5 in QgsAfsSourceSelect::~QgsAfsSourceSelect (this=0x565359277050, __in_chrg=<optimized out>) at

src/providers/arcgisrest/../../../../src/providers/arcgisrest/qgsafssourceselect.h:27

No locals.

#20 0x00007f06cc1dedf6 in QgsAfsSourceSelect::~QgsAfsSourceSelect (this=0x565359277050, __in_chrg=<optimized out>) at

src/providers/arcgisrest/../../../../src/providers/arcgisrest/qgsafssourceselect.h:27

No locals.

#21 0x00007f070c5a944b in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#22 0x00007f071121eb1c in QWidget::~QWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.
#23 0x00007f0711359b99 in QStackedWidget::~QStackedWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#24 0x00007f070c5a944b in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#25 0x00007f071121eb1c in QWidget::~QWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#26 0x00007f0711301aa9 in QFrame::~QFrame() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#27 0x00007f070c5a944b in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#28 0x00007f071121eb1c in QWidget::~QWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#29 0x00007f0711358db9 in QSplitter::~QSplitter() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#30 0x00007f070c5a944b in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#31 0x00007f071121eb1c in QWidget::~QWidget() () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#32 0x00007f0717874581 in QgsOptionsDialogBase::~QgsOptionsDialogBase (this=0x565358ab44c0, __in_chrg=<optimized out>) at

../src/gui/qgsoptionsdialogbase.cpp:51

No locals.

#33 0x00007f071798093f in QgsDataSourceManagerDialog::~QgsDataSourceManagerDialog (this=0x565358ab44c0, __in_chrg=<optimized

out>) at ../src/gui/qgsdatasourcemanagerdialog.cpp:76

No locals.

#34 0x00007f0717980960 in QgsDataSourceManagerDialog::~QgsDataSourceManagerDialog (this=0x565358ab44c0, __in_chrg=<optimized

out>) at ../src/gui/qgsdatasourcemanagerdialog.cpp:79

No locals.

#35 0x00007f0718167806 in QgisApp::~QgisApp (this=0x565353a00d00, __in_chrg=<optimized out>) at ../src/app/qgisapp.cpp:1328

No locals.

#36 0x00007f071816794a in QgisApp::~QgisApp (this=0x565353a00d00, __in_chrg=<optimized out>) at ../src/app/qgisapp.cpp:1329

No locals.

#37 0x0000565352c47bf6 in main (argc=1, argv=0x7ffd6b659d58) at ../src/app/main.cpp:1346

        profile = 0x5653535dc3b0

        presetStyle = {static null = {<No data fields>}, d = 0x56535372f520}

        rootProfileFolder = {static null = {<No data fields>}, d = 0x565353627890}

        myLocaleOverrideFlag = false

        qgistor = <incomplete type>

        w = 600

        mySplashPath = {static null = {<No data fields>}, d = 0x7f0715a2cf60 <QgsApplication::splashPath()::{lambda()#1}::operator()()

const::qstring_literal>}

        h = 300

        mypSplash = 0x5653538d3760

        qgis = 0x565353a00d00

        retval = 0

        manager = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f070ca2ca00 <QObject::staticMetaObject>,

stringdata = 0x7f0715b20140 <qt_meta_stringdata_QgsUserProfileManager>, data = 0x7f0715b201c0

<qt_meta_data_QgsUserProfileManager>, static_metacall = 0x7f07159c921e <QgsUserProfileManager::qt_static_metacall(QObject*,

QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, mWatchProfiles = false, mWatcher =

std::unique_ptr<QFileSystemWatcher> containing 0x0, mRootProfilePath = {static null = {<No data fields>}, d = 0x565353627890}, mUserProfile

= std::unique_ptr<QgsUserProfile> containing 0x0, mSettings = std::unique_ptr<QSettings> containing 0x565353627790}

        profileFolder = {static null = {<No data fields>}, d = 0x565353627df0}

        mySettings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f070ca2ca00 <QObject::staticMetaObject>,

stringdata = 0x7f0715b113c0 <qt_meta_stringdata_QgsSettings>, data = 0x7f0715b11400 <qt_meta_data_QgsSettings>, static_metacall =
0x7f07159b503e <QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}},

static sGlobalSettingsPath = {static null = {<No data fields>}, d = 0x56535376cc90}, mUserSettings = 0x56535376de80, mGlobalSettings =

0x565353725f70, mUsingGlobalArray = false}

        systemEnvVars = {d = 0x5653537b5740}

        activeStyleName = {static null = {<No data fields>}, d = 0x5653537f62d0}

        i18nPath = {static null = {<No data fields>}, d = 0x565353aada10}

        myUserLocale = {static null = {<No data fields>}, d = 0x5653537f1800}

        qttor = <incomplete type>

        myApp = {<QApplication> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f07118a3020

<QApplication::staticMetaObject>, stringdata = 0x7f0715affe60 <qt_meta_stringdata_QgsApplication>, data = 0x7f0715afffc0

<qt_meta_data_QgsApplication>, static_metacall = 0x7f071599d31c <QgsApplication::qt_static_metacall(QObject*, QMetaObject::Call, int,

void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static QGIS_ORGANIZATION_NAME = 0x7f0715a2c588 "QGIS", static

QGIS_ORGANIZATION_DOMAIN = 0x7f0715a2c58d "qgis.org", static QGIS_APPLICATION_NAME = 0x7f0715a2c596 "QGIS3", static

mFileOpenEventReceiver29900 = 0x0, static mFileOpenEventList29900 = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data

fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data

fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x7f070c66c960 <QListData::shared_null>}, d = 0x7f070c66c960

<QListData::shared_null>}}, <No data fields>}, static mUIThemeName29900 = {static null = {<No data fields>}, d = 0x7f070c66a360

<QArrayData::shared_null>}, static mPrefixPath29900 = {static null = <same as static member of an already seen type>, d = 0x56535371dcd0},

static mPluginPath29900 = {static null = <same as static member of an already seen type>, d = 0x565353743760}, static mPkgDataPath29900 =

{static null = <same as static member of an already seen type>, d = 0x565353771140}, static mLibraryPath29900 = {static null = <same as static

member of an already seen type>, d = 0x56535372ec00}, static mLibexecPath29900 = {static null = <same as static member of an already seen

type>, d = 0x565353722910}, static mThemeName29900 = {static null = <same as static member of an already seen type>, d = 0x7f0715a2cb00

<QgsApplication::setUITheme(QString const&)::{lambda()#2}::operator()() const::qstring_literal>}, static mDefaultSvgPaths29900 =

{<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value =

{<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d =

0x565353758290}, d = 0x565353758290}}, <No data fields>}, static mSystemEnvVars29900 = {d = 0x5653537b5740}, static mConfigPath29900

= {static null = {<No data fields>}, d = 0x5653537580e0}, static mRunningFromBuildDir29900 = false, static mBuildSourcePath29900 = {static

null = <same as static member of an already seen type>, d = 0x7f070c66a360 <QArrayData::shared_null>}, static mBuildOutputPath29900 =

{static null = <same as static member of an already seen type>, d = 0x7f070c66a360 <QArrayData::shared_null>}, static mGdalSkipList29900 =

{<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value =

{<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d =

0x7f070c66c960 <QListData::shared_null>}, d = 0x7f070c66c960 <QListData::shared_null>}}, <No data fields>}, static mMaxThreads29900 =

-1, static mAuthDbDirPath29900 = {static null = {<No data fields>}, d = 0x5653537580e0}, static sUserName = {static null = <same as static

member of an already seen type>, d = 0x5653536642d0}, static sUserFullName = {static null = <same as static member of an already seen type>,

d = 0x565353e3d5c0}, static sPlatformName = {static null = <same as static member of an already seen type>, d = 0x5653536276c0},

mIconCache = {d = 0x565353731b30}, mDataItemProviderRegistry = 0x5653543c47a0, mApplicationMembers = 0x5653537778d0, static

sApplicationMembers = 0x0}

        customizationsettings = 0x56535372e5f0

        useCustomVars = false

        myPixmap = <incomplete type>

        __FUNCTION__ = "main" 

        mySnapshotFileName = {static null = {<No data fields>}, d = 0x7f070c66a360 <QArrayData::shared_null>}

        configLocalStorageLocation = {static null = {<No data fields>}, d = 0x565353627720}

        profileName = {static null = {<No data fields>}, d = 0x5653536276f0}

        mySnapshotWidth = 800

        mySnapshotHeight = 600

        myHideSplash = false

        mySkipVersionCheck = false

        myRestoreDefaultWindowState = false

        myRestorePlugins = true

        myCustomization = true

        dxfOutputFile = {static null = {<No data fields>}, d = 0x7f070c66a360 <QArrayData::shared_null>}

        dxfSymbologyMode = QgsDxfExport::SymbolLayerSymbology
        dxfScale = 50000

        dxfEncoding = {static null = {<No data fields>}, d = 0x565352c4f560 <main::{lambda()#1}::operator()() const::qstring_literal>}

        dxfPreset = {static null = {<No data fields>}, d = 0x7f070c66a360 <QArrayData::shared_null>}

        dxfExtent = {mXmin = 0, mYmin = 0, mXmax = 0, mYmax = 0}

        myInitialExtent = {static null = {<No data fields>}, d = 0x565352c4f5a0 <main::{lambda()#2}::operator()() const::qstring_literal>}

        myTranslationCode = {static null = {<No data fields>}, d = 0x5653537dffb0}

        configpath = {static null = {<No data fields>}, d = 0x7f070c66a360 <QArrayData::shared_null>}

        authdbdirectory = {static null = {<No data fields>}, d = 0x7f070c66a360 <QArrayData::shared_null>}

        pythonfile = {static null = {<No data fields>}, d = 0x7f070c66a360 <QArrayData::shared_null>}

        customizationfile = {static null = {<No data fields>}, d = 0x7f070c66a360 <QArrayData::shared_null>}

        globalsettingsfile = {static null = {<No data fields>}, d = 0x56535376cc90}

        args = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value =

{<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d =

0x5653535dc170}, d = 0x5653535dc170}}, <No data fields>}

        myUseGuiFlag = true

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f070ca2ca00 <QObject::staticMetaObject>,

stringdata = 0x7f0715b113c0 <qt_meta_stringdata_QgsSettings>, data = 0x7f0715b11400 <qt_meta_data_QgsSettings>, static_metacall =

0x7f07159b503e <QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}},

static sGlobalSettingsPath = {static null = {<No data fields>}, d = 0x56535376cc90}, mUserSettings = 0x5653535dbd50, mGlobalSettings = 0x0,

mUsingGlobalArray = false}

gdb returned 0

/home/richard/bin/qgis: line 5: 25021 Aborted                 /home/richard/bin/qgis_all/master/debug/bin/qgis "$@" 

#6 - 2017-10-26 09:03 AM - Andreas Neumann

I get a reproducable crash after I add a new connection to:

    -  WMS

    -  WFS

    -  Postgis database

In addition I get a reproducable crash whenever I change the version in an existing WFS connection, e.g. from "Automatic" to "1.1".

The new setting is stored before the crash, though.

#7 - 2017-10-26 09:12 AM - Alessandro Pasotti

From a quick look at the stack traces I bet that the unified dialog has anything to do with the crashes (that doesn't mean that these bugs are not a blocker),

also it looks like the observed crashes can have a completely different cause. It probably worths filing separate ticket (as long as they are reproducible).

#8 - 2017-10-26 11:07 AM - Andreas Neumann

Seems like also ArcGIS server connections are affected.

See issue #17334

#9 - 2017-10-26 11:09 AM - Andreas Neumann
Alessandro Pasotti wrote:

From a quick look at the stack traces I bet that the unified dialog has anything to do with the crashes (that doesn't mean that these bugs are not a

blocker), also it looks like the observed crashes can have a completely different cause. It probably worths filing separate ticket (as long as they are

reproducible).

Those crashes are 100% reproducable on both Ubuntu and Win 7.

Whenever you add a new connection to a new service (WMS, WFS, WCS, ArcGIS, Postgis) - pretty much anything network related.

#10 - 2017-10-26 11:21 AM - Richard Duivenvoorde

Andreas, feel free to close this one and create a clean one with better backtraces.

I now have the feeling that this one holds info for different kind of crashes (I see gdal close related stuff also, of which it looks like Even has looked into it

earlier).

Your issue is more clear and reproducible?

#11 - 2017-10-31 09:16 AM - Alessandro Pasotti

Andreas and Richard, if this is still an issue I'd be glad to look into that next week during the bug-fixing sprint.

#12 - 2017-11-03 08:24 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|71eeda7b454ee1b83a9c63d96b2332ae5dde0ac4.
